summaryrefslogtreecommitdiff
path: root/functions/arguments.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:48 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:18:28 +0100
commit799d4bfb31c279b72088c8ee8a16c2710ab8a309 (patch)
tree4bbc1758ceaa46c5e81fe9d66ccdaacfec047ef8 /functions/arguments.sh
parent677415f6d7efc1e5b888570d70af311d2900c69c (diff)
downloadlive-build-799d4bfb31c279b72088c8ee8a16c2710ab8a309.zip
live-build-799d4bfb31c279b72088c8ee8a16c2710ab8a309.tar.gz
Adding live-helper 1.0~a3-1.
Diffstat (limited to 'functions/arguments.sh')
-rwxr-xr-xfunctions/arguments.sh75
1 files changed, 75 insertions, 0 deletions
diff --git a/functions/arguments.sh b/functions/arguments.sh
new file mode 100755
index 0000000..4f60ae2
--- /dev/null
+++ b/functions/arguments.sh
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# arguments.sh - handle common arguments
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+PROGRAM="`basename ${0}`"
+
+Arguments ()
+{
+ ARGUMENTS="`getopt --longoptions force,help,usage,version --name=${PROGRAM} --options huv --shell sh -- "${@}"`"
+
+ if [ "${?}" != "0" ]
+ then
+ echo "terminating" >&2
+ exit 1
+ fi
+
+ eval set -- "${ARGUMENTS}"
+
+ while true
+ do
+ case "${1}" in
+ --conffile)
+ CONFFILE="FIXME"; shift
+ ;;
+
+ --debug)
+ DEBUG="FIXME"; shift
+ ;;
+
+ --force)
+ FORCE="true"; shift
+ ;;
+
+ -h|--help)
+ Help; shift
+ ;;
+
+ --logfile)
+ LOGFILE="FIXME"; shift
+ ;;
+
+ --quiet)
+ QUIET="FIXME"; shift
+ ;;
+
+ -u|--usage)
+ Usage; shift
+ ;;
+
+ --verbose)
+ VERBOSE="FIXME"; shift
+ ;;
+
+ -v|--version)
+ Version; shift
+ ;;
+
+ --)
+ shift; break
+ ;;
+
+ *)
+ echo "internal error"
+ exit 1
+ ;;
+ esac
+ done
+}